Positions

Get positions

GET
/v1/users/{address}/positions

Path Parameters

address*string

Stellar account address

Query Parameters

as_of_ledger?|

Reserved for historical portfolio reads. Currently rejected until historical summaries are backed.

Formatint64
Range0 <= value

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/users/string/positions"
{  "data": {    "address": "string",    "aggregate_health_factor": "string",    "aggregate_net_apy": "string",    "protocols": [      {        "borrowed_usd": "string",        "deposited_usd": "string",        "estimates": {          "borrow_cap_usd": "string",          "borrow_limit_pct": "string"        },        "health_factor": "string",        "net_apy": "string",        "positions": {          "backstop": [            {              "apr": "string",              "apy": "string",              "asset_amount": "string",              "asset_id": "string",              "contract": "string",              "liquidation_price": "string",              "metadata": null,              "share_amount": "string",              "share_type": "string",              "usd_value": "string"            }          ],          "collateral": [            {              "apr": "string",              "apy": "string",              "asset_amount": "string",              "asset_id": "string",              "contract": "string",              "liquidation_price": "string",              "metadata": null,              "share_amount": "string",              "share_type": "string",              "usd_value": "string"            }          ],          "liabilities": [            {              "apr": "string",              "apy": "string",              "asset_amount": "string",              "asset_id": "string",              "contract": "string",              "liquidation_price": "string",              "metadata": null,              "share_amount": "string",              "share_type": "string",              "usd_value": "string"            }          ],          "lp": [            {              "apr": "string",              "apy": "string",              "asset_amount": "string",              "asset_id": "string",              "contract": "string",              "liquidation_price": "string",              "metadata": null,              "share_amount": "string",              "share_type": "string",              "usd_value": "string"            }          ],          "supply": [            {              "apr": "string",              "apy": "string",              "asset_amount": "string",              "asset_id": "string",              "contract": "string",              "liquidation_price": "string",              "metadata": null,              "share_amount": "string",              "share_type": "string",              "usd_value": "string"            }          ]        },        "protocol_id": "string"      }    ],    "total_value_usd": "string"  },  "enrichment": {    "assets": {      "property1": {        "decimals": 0,        "price_source": null,        "price_usd": "string",        "symbol": "string",        "tags": [          "string"        ]      },      "property2": {        "decimals": 0,        "price_source": null,        "price_usd": "string",        "symbol": "string",        "tags": [          "string"        ]      }    },    "contracts": {      "property1": {        "name": "string",        "position_types": [          "collateral"        ],        "protocol": "string",        "status": "active",        "version": "string"      },      "property2": {        "name": "string",        "position_types": [          "collateral"        ],        "protocol": "string",        "status": "active",        "version": "string"      }    }  },  "meta": {    "attribution_confidence": 0.1,    "data_staleness_seconds": 0,    "last_indexed_ledger": 0,    "oracle_staleness_seconds": 0,    "partial_result": true,    "response_time_ms": 0,    "sources": [      "soroban_rpc"    ]  }}